import java.io.*;
import java.util.*;
import java.math.BigInteger;


public class Main{
 public static void main (String [] args) {
  try {
   Scanner in = new Scanner ( new FileReader ("D.in"));
   BigInteger n =in.nextBigInteger();
   BigInteger a = in.nextBigInteger ();
   BigInteger b = in.nextBigInteger ();
   
   BigInteger ans=n.add(b);
   ans=ans.subtract(a);

   System.out.print(ans);

   in.close();
   PrintWriter out = new PrintWriter ( new FileWriter ("X.out"));
   out.close();
  }
   catch (Exception e) {
  }
 }
}